TypeSerializerBase (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.jsontype.impl

## Class TypeSerializerBase

- java.lang.Object
- - org.codehaus.jackson.map.TypeSerializer
  - - org.codehaus.jackson.map.jsontype.impl.TypeSerializerBase

- Direct Known Subclasses:
    AsArrayTypeSerializer, AsExternalTypeSerializer, AsWrapperTypeSerializer

      public abstract class TypeSerializerBase
      extends TypeSerializer

  Since:
    1.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TypeIdResolver` | `_idResolver`
    `protected BeanProperty` | `_property`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TypeSerializerBase(TypeIdResolver idRes, BeanProperty property)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPropertyName()` Name of property that contains type information, if property-based inclusion is used.
    `TypeIdResolver` | `getTypeIdResolver()` Accessor for object that handles conversions between types and matching type ids.
    `abstract JsonTypeInfo.As` | `getTypeInclusion()` Accessor for type information inclusion method that serializer uses; indicates how type information is embedded in resulting JSON.

    - ### Methods inherited from class org.codehaus.jackson.map.TypeSerializer

      `writeTypePrefixForArray, writeTypePrefixForArray, writeTypePrefixForObject, writeTypePrefixForObject, writeTypePrefixForScalar, writeTypePrefixForScalar, writeTypeSuffixForArray, writeTypeSuffixForObject, writeTypeSuffixForScalar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _idResolver

          protected final TypeIdResolver _idResolver

    - #### _property

          protected final BeanProperty _property

  - ### Constructor Detail

    - #### TypeSerializerBase

          protected TypeSerializerBase(TypeIdResolver idRes,
                            BeanProperty property)

  - ### Method Detail

    - #### getTypeInclusion

          public abstract JsonTypeInfo.As getTypeInclusion()

      Description copied from class: `TypeSerializer`
      Accessor for type information inclusion method that serializer uses; indicates how type information is embedded in resulting JSON.
      Specified by:
        `getTypeInclusion` in class `TypeSerializer`

    - #### getPropertyName

          public String getPropertyName()

      Description copied from class: `TypeSerializer`
      Name of property that contains type information, if property-based inclusion is used.
      Specified by:
        `getPropertyName` in class `TypeSerializer`

    - #### getTypeIdResolver

          public TypeIdResolver getTypeIdResolver()

      Description copied from class: `TypeSerializer`
      Accessor for object that handles conversions between types and matching type ids.
      Specified by:
        `getTypeIdResolver` in class `TypeSerializer`